import java.util.*;
import java.io.*;

class MixtureMaker {

    // in this program, we use mixtures of gaussians
    class DensityParams {
	double mu;
	double sigma2;
    }

    public static void main(String args[]) throws IOException {

	String datafile = "mixture.obs", parameterfile = "mixture.par";

	MyRandom r = new MyRandom();

	FileWriter f = new FileWriter(datafile);
	for(int i = 0; i < 35; i++) {
	    double xi = r.nextDouble();
	    if( xi < 0.23 ) {
		f.write(""+(2.2 + 1.2*r.nextGaussian())+"\n");
	    } else if( xi < 0.85 ) {
		f.write("" + (1.4 + 0.7*r.nextGaussian())+"\n");
	    } else {
		f.write("" + (0.6 + 0.8*r.nextGaussian())+"\n");
	    }
	}

	f.close();
    }
}














